net.sf.jasperreports.engine.analytics.data

## Enum Axis

- java.lang.Object
- - java.lang.Enum<Axis>
  - - net.sf.jasperreports.engine.analytics.data.Axis

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Axis>, NamedEnum

      public enum Axis
      extends java.lang.Enum<Axis>
      implements NamedEnum

  Version:
    $Id: Axis.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLUMNS`
    `ROWS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `axisCount()`
    `java.lang.String` | `getName()`
    `static Axis` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Axis[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROWS

          public static final Axis ROWS

    - #### COLUMNS

          public static final Axis COLUMNS

  - ### Method Detail

    - #### values

          public static Axis[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Axis c : Axis.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Axis valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### axisCount

          public static int axisCount()

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com